Bug 460597 - Request Reply Example older and out of synch with tutorial for same
Request Reply Example older and out of synch with tutorial for same
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
1.0
All Linux
medium Severity low
: 1.1
: ---
Assigned To: Jonathan Robie
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-28 17:56 EDT by William Henry
Modified: 2012-09-21 09:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 04:11:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Henry 2008-08-28 17:56:02 EDT
Description of problem:

The request reply example shipped with the examples seems older and less elegant than the example used in the tutorial. 

It's worth noting that the current trunk example is is more advanced having the AsynchSession instead of the (asynch)session. So we can't use the trunk example.
(right?)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jonathan Robie 2008-12-05 11:37:04 EST
This was fixed when I updated the examples from the source (not sure when I did that, weeks ago).

Jonathan
Comment 2 Frantisek Reznicek 2008-12-08 06:08:53 EST
Validated that trunk examples are now synchronized with rhm-docs examples (cpp/request-response). [rhm-docs-0.3.723829-3]

There is still following discrepancy in the cpp/request-response client example:
- MRG Messaging tutorial use ession.messageTransfer() [p51]
but
- trunk/rhm-docs examples use async(session).messageTransfer()

I believe async(session) should not be used anymore or at least MRG Messaging tutorial should match more closely given examples.

Putting in ASSIGNED with NEEDINFO flag.
Comment 3 Jonathan Robie 2008-12-08 15:40:27 EST
I changed the example upstream.

Assigning to Mick, we need a new qpidc-devel RPM that contains the revised example.

Downgrading to minor, it doesn't matter much if this change is not made.
Comment 4 mick 2008-12-08 17:30:29 EST
in build for 724474 on both RHEL 4 and 5
Comment 5 Frantisek Reznicek 2008-12-11 04:35:52 EST
I believe examples should be placed in rhm-docs packages not in the qpidc-devel one.
Waiting for rhm-docs packaging.
rhm-docs-0.3.723829-3.el5.noarch.rpm currently available already for 6 days.
->ASSIGNED (low priority)
Comment 6 Jonathan Robie 2008-12-11 13:50:34 EST
OK, it's rebuilt.
Comment 7 Frantisek Reznicek 2008-12-15 06:27:45 EST
The rhm-docs request-response cpp example is now free of any async(session) occurrences.
Validated on rhm-docs-0.3.725668.
->VERIFIED

Note:
The rhm-docs package should have main version 0.4 instead of 0.3!

Note You need to log in before you can comment on or make changes to this bug.